Bug 864697 - [abrt] akonadi-1.8.0-1.fc17: QList: Process /usr/bin/akonadi_agent_launcher was killed by signal 11 (SIGSEGV)
[abrt] akonadi-1.8.0-1.fc17: QList: Process /usr/bin/akonadi_agent_launcher w...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: akonadi (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
abrt_hash:219567c339bddc059db3136d7c7...
:
: 980963 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 18:57 EDT by Alan Schmidt
Modified: 2015-11-01 20:36 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:30:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (2.58 KB, text/plain)
2012-10-09 18:57 EDT, Alan Schmidt
no flags Details
File: environ (1.70 KB, text/plain)
2012-10-09 18:57 EDT, Alan Schmidt
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-09 18:57 EDT, Alan Schmidt
no flags Details
File: backtrace (19.60 KB, text/plain)
2012-10-09 18:57 EDT, Alan Schmidt
no flags Details
File: cgroup (132 bytes, text/plain)
2012-10-09 18:57 EDT, Alan Schmidt
no flags Details
File: maps (39.96 KB, text/plain)
2012-10-09 18:57 EDT, Alan Schmidt
no flags Details
File: dso_list (7.96 KB, text/plain)
2012-10-09 18:57 EDT, Alan Schmidt
no flags Details
File: var_log_messages (633 bytes, text/plain)
2012-10-09 18:57 EDT, Alan Schmidt
no flags Details
File: open_fds (410 bytes, text/plain)
2012-10-09 18:57 EDT, Alan Schmidt
no flags Details

  None (edit)
Description Alan Schmidt 2012-10-09 18:57:29 EDT
Description of problem:
Log in to KDE. Akonadi will just crash 9 times out of 10.

Version-Release number of selected component:
akonadi-1.8.0-1.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        /usr/bin/akonadi_agent_launcher akonadi_contacts_resource akonadi_contacts_resource_0
crash_function: QList
kernel:         3.5.5-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 QList at ../../src/corelib/tools/qlist.h:122
: #1 QDBusMessage::arguments at qdbusmessage.cpp:707
: #2 QDBusPendingReplyData::argumentAt at qdbuspendingreply.cpp:270
: #3 argumentAt<0> at /usr/include/QtDBus/qdbuspendingreply.h:176
: #4 operator QDBusPendingReplyTypes::Select<0, QDBusObjectPath, void, void, void, void, void, void, void>::Type at /usr/include/QtDBus/qdbuspendingreply.h:186
: #5 Akonadi::ChangeNotificationDependenciesFactory::createNotificationSource at /usr/src/debug/kdepimlibs-4.9.2/akonadi/changenotificationdependenciesfactory.cpp:39
: #6 Akonadi::MonitorPrivate::connectToNotificationManager at /usr/src/debug/kdepimlibs-4.9.2/akonadi/monitor_p.cpp:80
: #7 Akonadi::Monitor::Monitor at /usr/src/debug/kdepimlibs-4.9.2/akonadi/monitor.cpp:54
: #8 Akonadi::ChangeRecorder::ChangeRecorder at /usr/src/debug/kdepimlibs-4.9.2/akonadi/changerecorder.cpp:29
: #9 Akonadi::AgentBasePrivate::init at /usr/src/debug/kdepimlibs-4.9.2/akonadi/agentbase.cpp:213
Comment 1 Alan Schmidt 2012-10-09 18:57:34 EDT
Created attachment 624306 [details]
File: core_backtrace
Comment 2 Alan Schmidt 2012-10-09 18:57:36 EDT
Created attachment 624307 [details]
File: environ
Comment 3 Alan Schmidt 2012-10-09 18:57:37 EDT
Created attachment 624308 [details]
File: limits
Comment 4 Alan Schmidt 2012-10-09 18:57:39 EDT
Created attachment 624309 [details]
File: backtrace
Comment 5 Alan Schmidt 2012-10-09 18:57:40 EDT
Created attachment 624310 [details]
File: cgroup
Comment 6 Alan Schmidt 2012-10-09 18:57:43 EDT
Created attachment 624311 [details]
File: maps
Comment 7 Alan Schmidt 2012-10-09 18:57:44 EDT
Created attachment 624312 [details]
File: dso_list
Comment 8 Alan Schmidt 2012-10-09 18:57:45 EDT
Created attachment 624313 [details]
File: var_log_messages
Comment 9 Alan Schmidt 2012-10-09 18:57:47 EDT
Created attachment 624314 [details]
File: open_fds
Comment 10 Kevin Kofler 2013-07-03 18:49:13 EDT
*** Bug 980963 has been marked as a duplicate of this bug. ***
Comment 11 Kevin Kofler 2013-07-03 18:51:45 EDT
Bumping Version as per the duplicate.
Comment 12 Fedora End Of Life 2013-07-03 19:39:20 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora Admin XMLRPC Client 2013-07-20 20:37:31 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Fedora End Of Life 2015-01-09 12:24:54 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-02-17 09:30:23 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.